jer         14/03/18 16:51:01

  Modified:             ChangeLog fail2ban-0.9.0-r1.ebuild
  Log:
  Add more useful suggestions in pkg_postinst() (bug #504926 by Jaakko 
Perttilä).
  
  (Portage version: 2.2.8-r1/cvs/Linux x86_64, signed Manifest commit with key 
A792A613)

Revision  Changes    Path
1.131                net-analyzer/fail2ban/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-analyzer/fail2ban/ChangeLog?rev=1.131&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-analyzer/fail2ban/ChangeLog?rev=1.131&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-analyzer/fail2ban/ChangeLog?r1=1.130&r2=1.131

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-analyzer/fail2ban/ChangeLog,v
retrieving revision 1.130
retrieving revision 1.131
diff -u -r1.130 -r1.131
--- ChangeLog   17 Mar 2014 00:43:21 -0000      1.130
+++ ChangeLog   18 Mar 2014 16:51:01 -0000      1.131
@@ -1,6 +1,10 @@
 # ChangeLog for net-analyzer/fail2ban
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-analyzer/fail2ban/ChangeLog,v 1.130 
2014/03/17 00:43:21 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/fail2ban/ChangeLog,v 1.131 
2014/03/18 16:51:01 jer Exp $
+
+  18 Mar 2014; Jeroen Roovers <[email protected]> fail2ban-0.9.0-r1.ebuild:
+  Add more useful suggestions in pkg_postinst() (bug #504926 by Jaakko
+  Perttilä).
 
 *fail2ban-0.9.0-r1 (17 Mar 2014)
 



1.2                  net-analyzer/fail2ban/fail2ban-0.9.0-r1.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-analyzer/fail2ban/fail2ban-0.9.0-r1.ebuild?rev=1.2&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-analyzer/fail2ban/fail2ban-0.9.0-r1.ebuild?rev=1.2&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-analyzer/fail2ban/fail2ban-0.9.0-r1.ebuild?r1=1.1&r2=1.2

Index: fail2ban-0.9.0-r1.ebuild
===================================================================
RCS file: 
/var/cvsroot/gentoo-x86/net-analyzer/fail2ban/fail2ban-0.9.0-r1.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- fail2ban-0.9.0-r1.ebuild    17 Mar 2014 00:43:21 -0000      1.1
+++ fail2ban-0.9.0-r1.ebuild    18 Mar 2014 16:51:01 -0000      1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/net-analyzer/fail2ban/fail2ban-0.9.0-r1.ebuild,v 1.1 
2014/03/17 00:43:21 jer Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/net-analyzer/fail2ban/fail2ban-0.9.0-r1.ebuild,v 1.2 
2014/03/18 16:51:01 jer Exp $
 
 EAPI=5
 PYTHON_COMPAT=( python{2_6,2_7,3_2,3_3} pypy2_0 )
@@ -78,10 +78,19 @@
                elog "You are upgrading from version 0.6.x, please see:"
                elog 
"http://www.fail2ban.org/wiki/index.php/HOWTO_Upgrade_from_0.6_to_0.8";
        fi
-       if ! has_version ${CATEGORY}/${PN} && \
-               ! has_version dev-python/pyinotify && ! has_version 
app-admin/gamin; then
-               elog "For most jail.conf configurations, it is recommended you 
install either"
-               elog "dev-python/pyinotify or app-admin/gamin (in order of 
preference)"
-               elog "to control how log file modifications are detected"
+       if ! has_version ${CATEGORY}/${PN}; then
+               if ! has_version dev-python/pyinotify && ! has_version 
app-admin/gamin; then
+                       elog "For most jail.conf configurations, it is 
recommended you install either"
+                       elog "dev-python/pyinotify or app-admin/gamin (in order 
of preference)"
+                       elog "to control how log file modifications are 
detected"
+               fi
+               if ! has_version dev-lang/python[sqlite]; then
+                       elog "If you want to use ${PN}'s persistent database, 
then reinstall"
+                       elog "dev-lang/python with USE=sqlite"
+               fi
+               if has_version sys-apps/systemd[-python]; then
+                       elog "If you want to track logins through 
sys-apps/systemd's"
+                       elog "journal backend, then reinstall sys-apps/systemd 
with USE=python"
+               fi
        fi
 }




Reply via email to